#ifndef _ANSICONS_H_
#define _ANSICONS_H_

void SetTextXY(int x, int y);
void SetTextColour(int c);
void ClearScreen(void);
void SetTextMode(int m);

#define CON_NORMAL    0   // normal display 
#define CON_BOLD      1   // bold on 
#define CON_UNDERLINE 4   // underline (mono only) 
#define CON_BLINK     5   // blink on 
#define CON_REVERSE   7   // reverse video on 
#define CON_FBLACK    30  // black foreground 
#define CON_FRED      31  // red foreground 
#define CON_FGREEN    32  // green foreground 
#define CON_FYELLOW   33  // yellow foreground 
#define CON_FBLUE     34  // blue foreground 
#define CON_FMAGENTA  35  // magenta foreground 
#define CON_FCYAN     36  // cyan foreground 
#define CON_FWHITE    37  // white foreground 
#define CON_BBLACK    40  // black background 
#define CON_BRED      41  // red background 
#define CON_BGREEN    42  // green background 
#define CON_BYELLOW   43  // yellow background 
#define CON_BBLUE     44  // blue background 
#define CON_BMAGENTA  45  // magenta background 
#define CON_BCYAN     46  // cyan background 
#define CON_BWHITE    47  // white background 

#define CON_MODE40x25 1   // 40x25 color 
#define CON_MODE80x25 3   // 80x25 color 

#endif